# Pair Probability Plots

Functions related to plotting of probabilities, such as dot-plots.

  Defines

  VRNA_PLOT_PROBABILITIES_BP
    #include <ViennaRNA/plotting/probabilities.h>

    Option flag for base pair probabilities in probability plot output functions.

  VRNA_PLOT_PROBABILITIES_ACC
    #include <ViennaRNA/plotting/probabilities.h>

    Option flag for accessibilities in probability plot output functions.

  VRNA_PLOT_PROBABILITIES_UD
    #include <ViennaRNA/plotting/probabilities.h>

    Option flag for unstructured domain probabilities in probability plot output functions.

  VRNA_PLOT_PROBABILITIES_UD_LIN
    #include <ViennaRNA/plotting/probabilities.h>

    Option flag for unstructured domain probabilities (linear representation) in probability plot output functions.

  VRNA_PLOT_PROBABILITIES_SD
    #include <ViennaRNA/plotting/probabilities.h>

    Option flag for structured domain probabilities (such as G-quadruplexes) in probability plot output functions.

  VRNA_PLOT_PROBABILITIES_SC_MOTIF
    #include <ViennaRNA/plotting/probabilities.h>

    Option flag for soft-constraint motif probabilities in probability plot output functions.

  VRNA_PLOT_PROBABILITIES_SC_UP
    #include <ViennaRNA/plotting/probabilities.h>
  VRNA_PLOT_PROBABILITIES_SC_BP
    #include <ViennaRNA/plotting/probabilities.h>
  VRNA_PLOT_PROBABILITIES_DEFAULT
    #include <ViennaRNA/plotting/probabilities.h>

    Default option flag for probability plot output functions.

    Default output includes actual base pair probabilties (VRNA_PLOT_PROBABILITIES_BP), structured domain probabilities such as G-quadruplexes (VRNA_PLOT_PROBABILITIES_SD), probabilities obtained from soft-constraint motif implementation (VRNA_PLOT_PROBABILITIES_SC_MOTIF), and unstructured domain probabilities (VRNA_PLOT_PROBABILITIES_UD_LIN).

    See also

    vrna_plot_dp_EPS()

  Functions

  int vrna_plot_dp_EPS(const char *filename, const char *sequence, vrna_ep_t *upper, vrna_ep_t *lower, vrna_dotplot_auxdata_t *auxdata, unsigned int options)
    #include <ViennaRNA/plotting/probabilities.h>

    Produce an encapsulate PostScript (EPS) dot-plot from one or two lists of base pair probabilities.

    This function reads two vrna_ep_t lists `upper` and `lower` (e.g. base pair probabilities and a secondary structure) and produces an EPS “dot plot” with filename `'filename'` where data from `upper` is placed in the upper-triangular and data from `lower`

    is placed in the lower triangular part of the matrix.

    For default output, provide the flag

    VRNA_PLOT_PROBABILITIES_DEFAULT as `options` parameter.

    SWIG Wrapper Notes:

      This function is available as overloaded function `plot_dp_EPS()` where the last three parameters may be omitted. The default values for these parameters are `lower` = NULL, `auxdata` = NULL, `options` = VRNA_PLOT_PROBABILITIES_DEFAULT. See, e.g. `RNA.plot_dp_EPS()` in the Python API.

    See also

    vrna_plist(), vrna_plist_from_probs(), VRNA_PLOT_PROBABILITIES_DEFAULT

    Parameters:

      - filename – A filename for the EPS output

      - sequence – The RNA sequence

      - upper – The base pair probabilities for the upper triangular part

      - lower – The base pair probabilities for the lower triangular part

      - options – Options indicating which of the input data should be included in the dot-plot

    Returns:

      1 if EPS file was successfully written, 0 otherwise

  int vrna_plot_dp_PS_list(char *seq, int cp, char *filename, vrna_ep_t *pl, vrna_ep_t *mf, char *comment)
    #include <ViennaRNA/plotting/probabilities.h>

    Produce a postscript dot-plot from two pair lists.

    This function reads two plist structures (e.g. base pair probabilities and a secondary structure) as produced by vrna_plist_from_probs() and vrna_plist()

    and produces a postscript “dot plot” that is written to ‘filename’.

    Using base pair probabilities in the first and mfe structure in the second plist, the resulting “dot plot” represents each base pairing probability by a square of corresponding area in a upper triangle matrix. The lower part of the matrix contains the minimum free energy structure.

    See also

    vrna_plist_from_probs(), vrna_plist()

    Parameters:

      - seq – The RNA sequence

      - filename – A filename for the postscript output

      - pl – The base pair probability pairlist

      - mf – The mfe secondary structure pairlist

      - comment – A comment

    Returns:

      1 if postscript was successfully written, 0 otherwise

  struct vrna_dotplot_auxdata_t

    Public Members

    char *comment
    char *title
    vrna_data_lin_t **top
    char **top_title
    vrna_data_lin_t **bottom
    char **bottom_title
    vrna_data_lin_t **left
    char **left_title
    vrna_data_lin_t **right
    char **right_title